Bug 67744 - FORMATTING: Adobe Courier Std font is always bold on Mac OS X
Summary: FORMATTING: Adobe Courier Std font is always bold on Mac OS X
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: BSA target:6.1.0 target:6.0.2
Keywords: preBibisect, regression
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2013-08-04 14:50 UTC by bugzilla
Modified: 2018-02-23 18:35 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot with LibreOffice 4.1 made on Mac OS X 10.8.4 (103.74 KB, image/png)
2013-08-04 14:50 UTC, bugzilla
Details
Screenshot with TextEdit made on Mac OS X 10.8.4 (61.60 KB, image/png)
2013-08-04 14:53 UTC, bugzilla
Details
Test case with Adobe Courier Std (12.56 KB, application/vnd.oasis.opendocument.text)
2017-10-21 11:03 UTC, eisa01
Details
Screenshot of behavior in 6.0.0.0 in LibreOffice and TextEdit (187.45 KB, image/png)
2017-10-21 11:17 UTC, eisa01
Details
Patch to add debug output from the macOS font enumeration in LO (3.01 KB, patch)
2018-02-22 11:26 UTC, Tor Lillqvist
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2013-08-04 14:50:26 UTC
Created attachment 83615 [details]
Screenshot with LibreOffice 4.1 made on Mac OS X 10.8.4

Problem description: Text written with Adobe's Courier Std font is always displayed with bold font weight in LibreOffice 4.1 on Mac OS X. In Apple's TextEdit and in LibreOffice 4.0 the font weight is correct (see attachment).

Steps to reproduce:
Write a text with the font Courier Std.

Current behavior: Text has always a bold font weight

Expected behavior: Text should have the regular (medium) font weight like in TextEdit or LibreOffice 4.0
              
Operating System: Mac OS X
Version: 4.1.0.4 release
Last worked in: 4.0.4.2 release
Comment 1 bugzilla 2013-08-04 14:53:51 UTC
Created attachment 83616 [details]
Screenshot with TextEdit made on Mac OS X 10.8.4
Comment 2 Emir Sarı (away) 2013-08-04 15:07:36 UTC
I do not have Courier Std, so I cannot reproduce this behaviour. If this is a regression, maybe it may be related to the CoreText change.
Comment 3 retired 2013-08-04 21:33:54 UTC
Also don't have that font. Can you attach it? If that would be a copyright infringement, where is that font coming from?
Comment 4 bugzilla 2013-08-05 18:08:09 UTC
The font is distributed together with e.g. Adobe Reader or other Adobe software. Please check also this wikipedia article http://en.wikipedia.org/wiki/Courier_(typeface)#Courier_Standard
Comment 5 tommy27 2013-08-29 13:53:40 UTC
I'm on Windows and I don't have that font.
anyway LibO 4.1.1 is out... try upgrading and tell us if you still have this font issue
Comment 6 Maxim Monastirsky 2013-09-12 11:35:17 UTC
*** Bug 68889 has been marked as a duplicate of this bug. ***
Comment 7 Maxim Monastirsky 2013-09-12 11:42:01 UTC
Confirmed by Bug 68889. Looks like a regression in the Mac version of 4.1 (probably because CoreText changes).

Bug 69254 maybe also related, and maybe also Bug 67808 & Bug 67863.
Comment 8 Maxim Monastirsky 2013-10-30 11:21:20 UTC
Here is one more, very similar bug: Bug 71034.
Comment 9 freedesktop 2014-02-05 21:50:44 UTC
I can confirm this bug still existing in LibreOffice 4.2.0 on MacOS X 10.9 Mavericks.

I use a font called "Prelude" or "Coconut", which was designed by The Font Bureau. It was used in Palm's webOS:

http://www.engadget.com/2009/06/12/font-bureau-takes-credit-for-palms-custom-prelude-fonts-our/


The smallest size is "Medium". It seems, LibreOffice >= 4.1 doesn't use "medium" fonts as the normal sized font anymore but instead uses the bold version now.

Unfortunately, the font is not free, but if interested, I can provide it - PM me.

I'm still stuck with LibreOffice 4.0 because of this bug, so I'd highly appreciate, if this could be resolved pretty soon.

Thank you very much!

B.
Comment 10 Alex Thurgood 2014-06-06 22:40:19 UTC

*** This bug has been marked as a duplicate of bug 69254 ***
Comment 11 Adolfo Jayme 2015-04-29 00:46:32 UTC
Not a duplicate of 69254.
Comment 12 Chris Sherlock 2016-02-20 05:10:09 UTC
Any chance that a test document could be uploaded?
Comment 13 Xisco Faulí 2016-09-13 08:31:33 UTC Comment hidden (obsolete)
Comment 14 Alex Thurgood 2017-07-28 07:59:54 UTC
On OSX 10.12.6, I see Courier and Courier New in the list of installed fonts, but no Courier Std, despite having the latest version of Adobe PDF Reader.

Setting this to NEEDINFO, with the request that the original reporter :

- re-test with latest production releases of LibreOffice and report back ;
- provide a sample Writer document made with the problematic font ;
- provide a sample TextEdit document made with the problematic font
Comment 15 eisa01 2017-10-21 11:03:08 UTC
Created attachment 137182 [details]
Test case with Adobe Courier Std
Comment 16 eisa01 2017-10-21 11:13:52 UTC
This is still present, see attached test case.

Note: The formatting is broken when you use the toolbar buttons. If you use the format dialog you're able to select the correct weights. However the format dialog formatting is not preserved when opening in LibreOffice 3.3 or TextEdit

I tried bibisecting with the oldest repository that cover 4.1-4.2, but the bug was present from the start.

Increasing the severity as this is a core functionality, and importance given the regression

Version: 6.0.0.0.alpha1+
Build ID: 15dce20e8b97dbd0179f01910ca4d0027e80ff4e
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-10-20_06:46:46
Locale: en-US (en_US.UTF-8); Calc: group
Comment 17 eisa01 2017-10-21 11:17:36 UTC
Created attachment 137184 [details]
Screenshot of behavior in 6.0.0.0 in LibreOffice and TextEdit
Comment 18 Tor Lillqvist 2018-01-22 14:25:11 UTC
Based on comment #14, it seems that I won't be able to reproduce this and work on it, unless somebody can point me to some suitably licensed and freely downloadable font that exhibits the same behaviour.

(I wouldn't really have liked having to install Adobe  PDF Reader, but seems that it wouldn't add that font anyway, so I won't try.)
Comment 19 Tor Lillqvist 2018-02-22 11:16:12 UTC
FYI, the Courier Std fonts are included in Adobe Reader 6 that is still freely downloadable from Adone's server at ftp://ftp.adobe.com/pub/adobe/reader/mac/6.x/6.0/enu/AdbeRdr60_enu.dmg . The fonts are in Adobe Reader 6.0/Adobe Reader 6.0.app/Contents/MacOS/Resource/Font and install without problem on a current macOS.

Investigating.
Comment 20 Tor Lillqvist 2018-02-22 11:26:38 UTC
Created attachment 140056 [details]
Patch to add debug output from the macOS font enumeration in LO

Just FYI, if somebody else some day needs this.

After adding this, one can see from the output that for some reason the "Courier Std: Medium" font has been interpreted by macOS as having weight 0.23, and not zero, which would mean "medium". Compare:

debug:13294:5446641: ==> Courier New: Regular weight=0 -> 5

with

debug:13294:5446641: ==> Courier Std: Medium weight=0.23 -> 7
Comment 21 Tor Lillqvist 2018-02-22 11:31:00 UTC
The Font Book app in macOS reveals that the Courier Std fonts are of type 'OpenType PostScript'. That's interesting, PostScript fonts are rather rare nowadays, aren't they?
Comment 22 Tor Lillqvist 2018-02-22 12:00:28 UTC
Suggested fix in https://gerrit.libreoffice.org/50172
Comment 23 Commit Notification 2018-02-22 18:33:24 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d7f96a324a4c2ab82a04513c6a38dc31fd061fa

tdf#67744: Fix the weight reported by the system for the problematic font

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2018-02-23 18:35:42 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e092effee32cfbade59fb68adddc9db96d3c3c88&h=libreoffice-6-0

tdf#67744, tdf#68889: Fix weight reported by the system for these fonts

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.